﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using OutLookSample.Localization;

namespace OutLookSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            LocalizationManager.Manager = new LocalizationManager()
            {
                ResourceManager = OutlookBarResources.ResourceManager
            };
            PopulateOutLookbar(3);
        }

        private void PopulateOutLookbar(int barItemsNumber)
        {
            for (int i = 0; i < barItemsNumber; i++)
            {
                RadOutlookBarItem item = new RadOutlookBarItem() { Header="Bar item " + i};
                item.Content = GenerateTree(i + 1, i + 2);
                this.RadOutlookBar1.Items.Add(item);
            }
        }

        private RadTreeView GenerateTree(int rootItemsNumber, int secLevelItemsNumber)
        {
            RadTreeView tree = new RadTreeView();
            for (int i = 0; i < rootItemsNumber; i++)
            {
                RadTreeViewItem rootitem = new RadTreeViewItem(){Header="Item " + i};
                for (int j = 0; j < secLevelItemsNumber; j++)
			    {
			        RadTreeViewItem childitem = new RadTreeViewItem(){Header="Child Item" + j};
                    rootitem.Items.Add(childitem);
			    }
                tree.Items.Add(rootitem);
            }
            return tree;
        }
    }
}
